Subject: Re: bug#47619: [PATCH] addpt-scotch-shared/scotch-shared

From: Eric Bavier <[email-masked]>
Date: Fri, 09 Apr 2021 22:24:26 -0500

On Thu, 2021-04-08 at 09:21 +0200, Ludovic Courtès wrote:
> Hello,
> I was wondering whether we should provide exclusively shared libraries,
> as we do for other packages, instead of keeping ‘scotch’ and
> ‘scotch-shared’.  Thoughts?

I know in the past many in the HPC realm have wanted to have static
libraries available, to avoid the costs associated with start-up
linking and global function table indirection.

Some current developments, such as some HPC system vendors moving to
support only shared libraries on future systems, suggests that this
preference might be waning.

my 2-cents,
`~Eric